import com.imsl.chart.*;
import java.awt.Color;

public class SampleBarGroup extends JFrameChart {
    
    public SampleBarGroup() {
        Chart chart = getChart();
        AxisXY axis = new AxisXY(chart);
        double y[][] = {{4,2,3,9},{6,7,5,2}};
        Bar bar = new Bar(axis, y);
        bar.setBarType(Bar.BAR_TYPE_VERTICAL);
        bar.setLabels(new String[]{"A","B","C","D"});
        bar.getBarSet(0).setFillColor(Color.red);
        bar.getBarSet(1).setFillColor(Color.blue);
    }
    
    public static void main(String argv[]) {
        new SampleBarGroup().setVisible(true);
    }
}
